# Do not check any files in doc or src for requires
%define __requires_exclude_from ^(%{_datadir}|%{_libdir})/%{name}/(doc|src)/.*$

Summary:	Simple Go Cross Compilation
Name:		gox
Version:	0.2.0
Release:	%mkrel 6
License:	MPLv2.0
Group:		Development/Other
Url:		https://github.com/mitchellh/gox
Source0:	https://github.com/mitchellh/packer/archive/v%{version}.tar.gz

BuildRequires:	golang >= 1.1
BuildRequires:	golang(github.com/mitchellh/iochan)

%description
Gox is a simple, no-frills tool for Go cross compilation that behaves a lot
like standard go build. Gox will parallelize builds for multiple platforms. Gox
will also build the cross-compilation toolchain for you.

%prep
%setup -cT
# For building go binaries we must install the tarballed git repo into the
# appropriate src directory
mkdir -p %{_builddir}/%{name}-%{version}/src/github.com/mitchellh/
cd %{_builddir}/%{name}-%{version}/src/github.com/mitchellh/
tar xzf %{SOURCE0}
mv %{_builddir}/%{name}-%{version}/src/github.com/mitchellh/%{name}-%{version}\
  %{_builddir}/%{name}-%{version}/src/github.com/mitchellh/%{name}

# Symlink the go lib build dependencies to the build directory
%define buildgosrc %{_builddir}/%{name}-%{version}/src
mkdir -p %{buildgosrc}/github.com/mitchellh
ln -sv %{gopath}/src/github.com/mitchellh/* %{buildgosrc}/github.com/mitchellh/

%build
# set the GOPATH so that internal dependencies are automatically downloaded to
# the correct location
%define packer_gopath %{_builddir}/%{name}-%{version}
export GOPATH=%{packer_gopath}

# set the GOBIN so compiled files go into the builddir
mkdir -p %{packer_gopath}/bin
export GOBIN=%{packer_gopath}/bin

# Checkout the specific tag in git for the version we are building
cd %{packer_gopath}
go get github.com/mitchellh/gox

%install
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 0755 %{packer_gopath}/bin/gox %{buildroot}%{_bindir}/gox

%files
%{_bindir}/gox


%changelog
* Sun Jul 17 2016 pterjan <pterjan> 0.2.0-6.mga6
+ Revision: 1042334
- Use standard gopath and build debuginfo package
- Recreate build directory to allow building twice

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 744617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 679900
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.2.0-2.mga4
+ Revision: 559469
+ rebuild (emptylog)

* Thu Nov 21 2013 thatsamguy <thatsamguy> 0.2.0-1.mga4
+ Revision: 552152
- imported package gox

